[![GitHub issues](https://img.shields.io/github/issues/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes.svg)](https://github.com/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes/issues)
[![GitHub forks](https://img.shields.io/github/forks/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes.svg)](https://github.com/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes/network)
[![GitHub stars](https://img.shields.io/github/stars/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes.svg)](https://github.com/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes/stargazers)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/TrainingByPackt/Introduction-to-DevOps-with-Kubernetes/pulls)

# Introduction to DevOps with Kubernetes
Kubernetes and DevOps are the two pillars that can keep your business at the top by ensuring high performance of your IT infrastructure. 
Introduction to DevOps with Kubernetes will help you develop the skills you need to improve your DevOps with the power of Kubernetes. The course begins with an overview of Kubernetes primitives and DevOps concepts. You'll understand how Kubernetes can assist you with overcoming a wide range of real-world operation challenges. You will get to grips with creating and upgrading a cluster, and then learn how to deploy, update, and scale an application on Kubernetes. As you advance through the chapters, you’ll be able to monitor an application by setting up a pod failure alert on Prometheus. The course will also guide you in configuring Alertmanager to send alerts to the Slack channel and trace down a problem on the application using kubectl commands. 
By the end of this course, you’ll be able to manage the lifecycle of simple to complex applications on Kubernetes with confidence.. 

Introduction-to-DevOps-with-Kubernetes by **Onur Yilmaz** and **Suleyman Akbas**. 

## What you will learn
* Create and manage Kubernetes clusters in on-premise systems and cloud
* Exercise various DevOps practices using Kubernetes
* Explore configuration, secret, and storage management, and exercise these on Kubernetes
* Perform different update techniques and apply them on Kubernetes
* Use the built-in scaling feature in Kubernetes to scale your applications up and down
* Use various troubleshooting techniques and have a monitoring system installed on Kubernetes

### Hardware requirements
For an optimal student experience, we recommend the following hardware configuration:
* Processor: Intel Core i5 or equivalent
* Memory: 8 GB RAM (16 GB Preferred)
* Hard disk: 10 GB available space
* Internet connection


### Software requirements
You'll also need the following software installed in advance:
* **OS**: Windows 7 SP1 64-bit, Windows 8.1 64-bit or Windows 10 64-bit, Ubuntu Linux, or the latest version of OS X
* **Browser**: Google Chrome/Mozilla Firefox Latest Version
* Notepad++/Sublime Text as IDE (Optional, as you can practice everything using Jupyter notebook on your browser)



